SNPSIFT(1)

NAME
snpSift - tool to annotate and manipulate genome variants

SYNOPSIS
snpSift [command] [options] [files]

AVAILABLE COMMANDS

alleleMat
    Create an allele matrix output.

annotate
    Annotate 'ID' from a database (e.g. dbSnp). Assumes entries are sorted.

caseControl
    Compare how many variants are in 'case' and in 'control' groups; calculate p-values.

ccs Case control summary. Case and control summaries by region, allele frequency and variant's functional effect.

concordance
    Concordance metrics between two VCF files.

covMat
    Create an covariance matrix output (allele matrix as input).

dbnsfp
    Annotate with multiple entries from dbNSFP.

extractFields
    Extract fields from VCF file into tab separated format.

filter
    Filter using arbitrary expressions

geneSets
    Annotate using MSigDb gene sets (MSigDb includes: GO, KEGG, Reactome, BioCarta, etc.)

gt  Add Genotype to INFO fields and remove genotype fields when possible.

gtfilter
    Filter genotype using arbitrary expressions.

gwasCat
    Annotate using GWAS catalog

hwe Calculate Hardy-Weimberg parameters and perform a godness of fit test.

intersect
    Intersect intervals (genomic regions).

intervals
    Keep variants that intersect with intervals. intIdx

Keep variants that intersect with intervals. Index-based method: Used for large VCF file and a few intervals to retrieve
    join

Join files by genomic region.
    op

Annotate using an operator.
    phastCons

Annotate using conservation scores (phastCons).
    private

Annotate if a variant is private to a family or group.
    rmRefGen

Remove reference genotypes.
    rmInfo

Remove INFO fields.
    sort

Sort VCF file/s (if multiple input VCFs, merge and sort).
    split

Split VCF by chromosome.
    tstv

Calculate transition to transversion ratio.
    varType

Annotate variant type (SNP,MNP,INS,DEL or MIXED).
    vcfCheck

Check that VCF file is well formed.
    vcf2tped

Convert VCF to TP

OPTIONS

  Generic options

-c , -config
    Specify config file. Default: ~/.snpEff/snpEff.config

-d , -debug
    Debug mode.

-db <file> , -database <file>
    Database file name (for commands that require databases).

-configOption name=value
    Override a config file option

-download
    Download a SnpEff database, if not available locally. Default: true

-g <name> , -genome <name>
    Genome version (for commands that require databases).

-nodownload
    Do not download a SnpEff database, if not available locally.

-noLog
    Do not report usage statistics to server

-h , -help
    Show this help and exit

-v , -verbose
    Verbose mode

-version
    Show version number and exit

SEE ALSO

https://pcingola.github.io/SnpEff/se_introduction/

snpeff(1)

AUTHOR
This manual page was written by Pierre Gruet <pgt@debian.org> from the Debian project, but may be used by others. Please report possibly missing or misleading information.